import { PageWrapper, PageFooter } from '@/components/Page';
import NumberInput from '@/components/numberInput/index.vue';
import pagination from '@/components/pagination/index.vue';
import icon from '@/components/icon/index.vue';
import { BasicTable } from '@/components/Table';
import { BasicForm } from '@/components/Form/index';
/**
 * 全局注册自定义组件 待完善
 * @param app
 */
export function setupCustomComponents(app) {
  app.component('PageWrapper', PageWrapper);
  app.component('PageFooter', PageFooter);
  app.component('NumberInput',NumberInput)
  app.component('pagination',pagination)
  app.component('icon',icon)
  app.component('BasicTable',BasicTable)
  app.component('BasicForm',BasicForm)
}
